Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.net.imap
Enum IMAPCommand

    java.lang.Object
      java.lang.Enum<IMAPCommand>
          org.apache.commons.net.imap.IMAPCommand

All Implemented Interfaces:
  Serializable, Comparable<IMAPCommand>

    public enum IMAPCommand

extends Enum<IMAPCommand>

IMAPCommand stores IMAP command codes.

Enum Constant Summary
`APPEND`
`AUTHENTICATE`
`CAPABILITY`
`CHECK`
`CLOSE`
`COPY`
`CREATE`
`DELETE`
`EXAMINE`
`EXPUNGE`
`FETCH`
`LIST`
`LOGIN`
`LOGOUT`
`LSUB`
`NOOP`
`RENAME`
`SEARCH`
`SELECT`
`STARTTLS`
`STATUS`
`STORE`
`SUBSCRIBE`
`UID`
`UNSUBSCRIBE`
`XOAUTH`

Method Summary
`static String` | `getCommand(IMAPCommand command)` Get the IMAP protocol string command corresponding to a command code.
`String` | `getIMAPCommand()` Get the IMAP protocol string command for this command
`static IMAPCommand` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IMAPCommand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CAPABILITY

    public static final IMAPCommand CAPABILITY

### NOOP

    public static final IMAPCommand NOOP

### LOGOUT

    public static final IMAPCommand LOGOUT

### STARTTLS

    public static final IMAPCommand STARTTLS

### AUTHENTICATE

    public static final IMAPCommand AUTHENTICATE

### LOGIN

    public static final IMAPCommand LOGIN

### XOAUTH

    public static final IMAPCommand XOAUTH

### SELECT

    public static final IMAPCommand SELECT

### EXAMINE

    public static final IMAPCommand EXAMINE

### CREATE

    public static final IMAPCommand CREATE

### DELETE

    public static final IMAPCommand DELETE

### RENAME

    public static final IMAPCommand RENAME

### SUBSCRIBE

    public static final IMAPCommand SUBSCRIBE

### UNSUBSCRIBE

    public static final IMAPCommand UNSUBSCRIBE

### LIST

    public static final IMAPCommand LIST

### LSUB

    public static final IMAPCommand LSUB

### STATUS

    public static final IMAPCommand STATUS

### APPEND

    public static final IMAPCommand APPEND

### CHECK

    public static final IMAPCommand CHECK

### CLOSE

    public static final IMAPCommand CLOSE

### EXPUNGE

    public static final IMAPCommand EXPUNGE

### SEARCH

    public static final IMAPCommand SEARCH

### FETCH

    public static final IMAPCommand FETCH

### STORE

    public static final IMAPCommand STORE

### COPY

    public static final IMAPCommand COPY

### UID

    public static final IMAPCommand UID

Method Detail

### values

    public static IMAPCommand[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IMAPCommand c : IMAPCommand.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IMAPCommand valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getCommand

    public static final String getCommand(IMAPCommand command)

  Get the IMAP protocol string command corresponding to a command code.

  Parameters:
    `command` - the IMAPCommand whose command string is required.
  Returns:
    The IMAP protocol string command corresponding to a command code.

### getIMAPCommand

    public String getIMAPCommand()

  Get the IMAP protocol string command for this command

  Returns:
    The IMAP protocol string command corresponding to this command

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.